local AddonName, GGL = ...

local AceGUI = LibStub("AceGUI-3.0")
local Templates = GGL.Templates
local L = GGL.Locale

local EndScreen = {}
GGL.GUI.EndScreen = EndScreen

-- lua

-- wow

-- other

-- ########################################
-- Base
-- ########################################

--- Get the data from leaderbords as export string
function EndScreen:ShowExportWindow()
    if not self.exportFrame then
        local frame = AceGUI:Create("Frame")
        frame:SetTitle(L["Export"])
        --frame:SetStatusText(listName)
        frame:SetLayout("Fill")

        local multiEditbox = AceGUI:Create("MultiLineEditBox")
        multiEditbox.frame:SetClipsChildren(true)
        multiEditbox.editBox:SetMaxBytes(nil)
        multiEditbox.editBox:SetScript("OnEscapePressed", function()
            frame:Close()
        end)
        multiEditbox.editBox:SetScript("OnMouseUp", function()
            multiEditbox.editBox:HighlightText()
        end)
        multiEditbox.editBox:SetScript("OnChar", function(self)
            multiEditbox:SetText(self.exportText)
            multiEditbox.editBox:HighlightText()
        end)
        frame.multiEditbox = multiEditbox
        frame:AddChild(multiEditbox)

        self.exportFrame = frame
    end

    local multiEditbox = self.exportFrame.multiEditbox

    local exportText
    if GGL.GUI.Challenge.frame then
        exportText = GGL.Export:ExportAsCSV(GGL.GUI.Challenge.frame:ExportPlayerList(), ",", true)
    end

    multiEditbox.editBox.exportText = exportText or ""
    multiEditbox:SetText(exportText or "")
    self.exportFrame:Show()

    multiEditbox.editBox:HighlightText()
    multiEditbox.editBox:SetFocus()
end